aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--extra/glib/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/extra/glib/APKBUILD b/extra/glib/APKBUILD
new file mode 100644
index 0000000000..4614825aae
--- /dev/null
+++ b/extra/glib/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Carlo Landmeter <clandmeter at gmail.com>
+pkgname=glib
+pkgver=2.18.3
+pkgrel=0
+pkgdesc="Common C routines used by Gtk+ and other libs"
+url="http://www.gtk.org"
+license='GPL'
+depends="gettext libiconv"
+makedepends="gettext-dev libiconv-dev"
+source="http://ftp.gnome.org/pub/gnome/sources/glib/2.18/glib-2.18.3.tar.bz2"
+subpackages="$pkgname-doc $pkgname-dev"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man
+ make || return 1
+ make DESTDIR="$pkgdir/" install
+}
+
+md5sums="f13996a7bd57525d796a6593f26a7771 glib-2.18.3.tar.bz2"